% run this script to test the two methods of doing time-series corr
% analyses

load mean_data_alluri.mat
% see preprocessedREADME2 for details


s1 = meanarousal{2}; %{n} piece #n
s2 = meangsr{2,1};   %{n,1} piece #n

% Time-series correlation analyses based on random-phase Boostrapping method
[Bootstat, s_r, r] = phaseRandomCorr(s1,s2,2000);

% Time-series correlation analyses based on effective degree-of-freedom
% method
correlation = corr(s1,s2);
effective_df = effdf(s1,s2);
p = effdfCorr(correlation, effective_df);


fprintf('\nBoostrapping estimate: [%f(mean) %f(lower) %f(upper)]\n', Bootstat.Corr_mean,...
    Bootstat.Corr_cbp95(1), Bootstat.Corr_cbp95(2));
fprintf('\nEffective df estimate: %f\n', p);

